Mandrake Linux Security Advisory : pdftohtml (MDKSA-2007:019)

Medium Nessus Plugin ID 24634


The remote Mandrake Linux host is missing a security update.


The Adobe PDF specification 1.3, as implemented by xpdf 3.0.1 patch 2, kpdf in KDE before 3.5.5, and other products, allows remote attackers to have an unknown impact, possibly including denial of service (infinite loop), arbitrary code execution, or memory corruption, via a PDF file with a (1) crafted catalog dictionary or (2) a crafted Pages attribute that references an invalid page tree node.

The updated packages have been patched to correct this problem.


Update the affected pdftohtml package.

Plugin Details

Severity: Medium

ID: 24634

File Name: mandrake_MDKSA-2007-019.nasl

Version: $Revision: 1.12 $

Type: local

Published: 2007/02/18

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:pdftohtml, cpe:/o:mandriva:linux:2006, cpe:/o:mandriva:linux:2007

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2007/01/18

Reference Information

CVE: CVE-2007-0104

MDKSA: 2007:019

CWE: 20